- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DExtras (Deprecated)
- QConeMesh
- Qt 6.8.3 Reference Documentation

# QConeMesh Class

class Qt3DExtras::QConeMesh

A conical mesh. More...

Header: | `#include <Qt3DExtras/QConeMesh>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dextras)` `target_link_libraries(mytarget PRIVATE Qt6::3dextras)`
qmake: | `QT += 3dextras`
In QML: | ConeMesh
Inherits: | Qt3DRender::QGeometryRenderer
Status: | Deprecated

- List of all members, including inherited members

## Properties

- bottomRadius : float
- hasBottomEndcap : bool
- hasTopEndcap : bool
- length : float

- rings : int
- slices : int
- topRadius : float

## Public Functions

float | bottomRadius() const
bool | hasBottomEndcap() const
bool | hasTopEndcap() const
float | length() const
int | rings() const
int | slices() const
float | topRadius() const

## Public Slots

void | setBottomRadius(float bottomRadius)
void | setHasBottomEndcap(bool hasBottomEndcap)
void | setHasTopEndcap(bool hasTopEndcap)
void | setLength(float length)
void | setRings(int rings)
void | setSlices(int slices)
void | setTopRadius(float topRadius)

## Signals

void | bottomRadiusChanged(float bottomRadius)
void | hasBottomEndcapChanged(bool hasBottomEndcap)
void | hasTopEndcapChanged(bool hasTopEndcap)
void | lengthChanged(float length)
void | ringsChanged(int rings)
void | slicesChanged(int slices)
void | topRadiusChanged(float topRadius)

## Detailed Description

## Property Documentation

### bottomRadius : float

Holds the bottom radius of the cone.

Access functions:

float | bottomRadius() const
void | setBottomRadius(float bottomRadius)

Notifier signal:

void | bottomRadiusChanged(float bottomRadius)

### hasBottomEndcap : bool

Determines if the cone bottom is capped or open.

Access functions:

bool | hasBottomEndcap() const
void | setHasBottomEndcap(bool hasBottomEndcap)

Notifier signal:

void | hasBottomEndcapChanged(bool hasBottomEndcap)

### hasTopEndcap : bool

Determines if the cone top is capped or open.

Access functions:

bool | hasTopEndcap() const
void | setHasTopEndcap(bool hasTopEndcap)

Notifier signal:

void | hasTopEndcapChanged(bool hasTopEndcap)

### length : float

Holds the length of the cone.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### topRadius : float

Holds the top radius of the cone.

Access functions:

float | topRadius() const
void | setTopRadius(float topRadius)

Notifier signal:

void | topRadiusChanged(float topRadius)